<div>

    <div>
        <div class="header">
            <div class="page-select">
                <span>Show</span>
                <select [(ngModel)]="selectPageSize" (ngModelChange)="onSelectPageSize()">
                    <option>10</option>
                    <option>20</option>
                    <option>40</option>
                    <option>60</option>
                    <option>80</option>
                    <option>100</option>
                    <option>500</option>
                </select>
                <span>Entries</span>

            </div>
            <div class="search-box">
                <div class="export-btn">
                    <button (click)="onAddNewRow()" class="btn add-btn"> <span class="glyphicon glyphicon-plus"></span>Add</button>
                    <button class="btn add-btn" (click)="onExportToExcel($event)"> <span class="glyphicon glyphicon-export"></span>Export</button>
                    <div class="upload-section">
                        <button class="btn add-btn"> <span class="glyphicon glyphicon-upload"></span>Upload</button>
                        <input type="file" (change)="onUploadSheet($event)" class="upload-btn" />
                    </div>

                </div>
                <div class="input-group">
                    <input class="form-control" type="text" [(ngModel)]="searchQuery" (keyup)="searchOnData($event)" />
                    <div class="input-group-btn">
                        <button class="btn btn-default remove" type="button" *ngIf="searchQuery" (click)="onClearSearch()">
                            <i class="glyphicon glyphicon-remove"></i>
                        </button>
                        <button class="btn btn-default search" type="button" (click)="onSearchData()">
                            <i class="glyphicon glyphicon-search"></i>
                        </button>
                    </div>
                </div>

            </div>
        </div>
        <div class="data-table">
            <table class="table">
                <thead>

                    <tr>
                        <th *ngFor="let column of gridOptions.columnDefs" (click)="onGridSort(column)" class="{{column.cssClass+'-col'}}">
                            <p>
                                {{column.columnName}}
                                <label>
                                    <span class="glyphicon glyphicon-chevron-up" aria-hidden="true"></span>
                                    <span class="glyphicon glyphicon-chevron-down"></span>
                                </label>
                            </p>
                        </th>
                        <th class="actions">Actions</th>
                    </tr>

                </thead>
                <tbody #scrollMe>
                    <tr *ngIf="shouldAddNewRow">
                        <td colspan="12" class="add_product_form">
                            <form #newRowForm="ngForm">
                                <input class="{{cell.cssClass}}" name="{{cell.column}}" *ngFor="let cell of gridOptions.columnDefs" type="{{cell.type}}" [(ngModel)]="newRow[[cell.column]]" (keypress)="addOnEnter($event)" required />
                                <button style="text-align:left" class="btn-ok" (click)="onSaveNewRow()"><span class="glyphicon glyphicon-ok icon_ok"></span></button>
                                <button class="btn-remove single-remove" (click)="onCancelAddRow()"><span class="glyphicon glyphicon-remove icon_remove"></span></button>
                            </form>
                        </td>



                    </tr>
                    <tr *ngIf="!pagedItems || pagedItems.length === 0"> <td colspan="12" class="no-records full-td">No records found</td></tr>
                    <tr *ngFor="let row of pagedItems | customGridSort: sortColumn : sortDirection" [ngClass]="row.edit?'row-expanded':''">
                        <ng-container *ngFor="let cell of gridOptions.columnDefs">
                            <td (dblclick)="editRow(row)" *ngIf="!row.edit || (row.edit && !cell.edit)" class="cell-summary {{cell.cssClass+'-col'}}" title="{{row[cell.column]}}">{{row[cell.column]}}</td>
                            <td *ngIf="row.edit && cell.edit" class="textarea {{cell.cssClass+'-col'}}" contentEditable="true" (keypress)="saveOnEnter($event,row,row.editDetails['MychemId'])" [(ngModel)]="row.editDetails[cell.column]"></td>
                        </ng-container>



                        <td class="actions">
                            <div class="" *ngIf="!row.edit">
                                <button class="edit" (click)="editRow(row)">
                                    <span class="glyphicon glyphicon-edit"></span>
                                </button>
                                <button class="delete" (confirm-click)="onDeletRow(row)" [confirm]="row['MychemId']">
                                    <span class="glyphicon glyphicon-trash"></span>
                                </button>
                            </div>
                            <div class="edit_remove" *ngIf="row.edit">
                                <button style="text-align:left" class="btn-ok" (click)="onUpdateRow(row)"><span class="glyphicon glyphicon-ok icon_ok"></span></button>
                                <button class="btn-remove" (click)="cancel(row)"><span class="glyphicon glyphicon-remove icon_remove"></span></button>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div>
            <div class="container-fluid" *ngIf="gridData.length !== 0">
                <div class="text-right">
                    <span class="results">Showing Results <span>{{pager.firstIndex + 1}} - {{pager.lastIndex + 1}} of {{gridData.length}}</span></span>
                    <ul *ngIf="pager.pages && pager.pages.length" class="pagination">

                        <li [ngClass]="{disabled:pager.currentPage === 1}">
                            <a (click)="setPage(pager.currentPage - 1)">
                                <span class="prev-arrow"></span>
                            </a>
                        </li>
                        <li>
                            <a>
                                <input name="currentPage" type="number" (keyup.enter)="goToPage($event)" [ngClass]="{'has-error': pager.currentPage > pager.totalPages}" [(ngModel)]="pager.currentPage" #currentPage="ngModel" min="1" max="{{pager.totalPages}}" />
                                <p class="has-error" *ngIf="pager.currentPage > pager.totalPages">Page number should always less than or equals to total pages</p>
                            </a>
                        </li>
                        <li><a>of {{pager.totalPages}}</a></li>
                        <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                            <a (click)="setPage(pager.currentPage + 1)"><span class="next-arrow"></span></a>
                        </li>

                    </ul>
                </div>
            </div>
        </div>
    </div>

</div>